FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202010081339.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202010081339.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=e5a04d6 OS_GIT_VERSION=4.4.0-202010081339.p0-e5a04d6 SOURCE_DATE_EPOCH=1584362147 SOURCE_GIT_COMMIT=e5a04d6a080f60ada51cfdbb7faa2883aa59b03f SOURCE_GIT_TAG=v3.11.0-233-ge5a04d6a SOURCE_GIT_URL=https://github.com/openshift/service-ca-operator 
WORKDIR /go/src/github.com/openshift/service-ca-operator
COPY . .
ENV GO_PACKAGE github.com/openshift/service-ca-operator
RUN go build -ldflags "-X $GO_PACKAGE/pkg/version.versionFromGit=$(git describe --long --tags --abbrev=7 --match 'v[0-9]*')" ./cmd/service-ca-operator

FROM openshift/ose-base:v4.4.0.20201008.151351
ENV __doozer=update BUILD_RELEASE=202010081339.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202010081339.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=e5a04d6 OS_GIT_VERSION=4.4.0-202010081339.p0-e5a04d6 SOURCE_DATE_EPOCH=1584362147 SOURCE_GIT_COMMIT=e5a04d6a080f60ada51cfdbb7faa2883aa59b03f SOURCE_GIT_TAG=v3.11.0-233-ge5a04d6a SOURCE_GIT_URL=https://github.com/openshift/service-ca-operator 
COPY --from=builder /go/src/github.com/openshift/service-ca-operator/service-ca-operator /usr/bin/
COPY manifests /manifests
# Using the vendored CRD ensures compatibility with 'oc explain'
COPY vendor/github.com/openshift/api/operator/v1/0000_50_service-ca-operator_02_crd.yaml /manifests/02_crd.yaml
ENTRYPOINT ["/usr/bin/service-ca-operator"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-service-ca-operator" \
        com.redhat.component="ose-service-ca-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        release="202010081339.p0" \
        io.openshift.build.commit.id="e5a04d6a080f60ada51cfdbb7faa2883aa59b03f" \
        io.openshift.build.source-location="https://github.com/openshift/service-ca-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/service-ca-operator/commit/e5a04d6a080f60ada51cfdbb7faa2883aa59b03f" \
        version="v4.4.0"

